---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: manager-role
rules:
- apiGroups:
  - ""
  resources:
  - configmaps
  verbs:
  - create
  - delete
  - get
  - list
  - update
  - watch
- apiGroups:
  - ""
  resources:
  - secrets
  verbs:
  - get
  - list
  - watch
- apiGroups:
  - heatoperator.sylva
  resources:
  - heatstacks
  verbs:
  - create
  - delete
  - get
  - list
  - patch
  - update
  - watch
- apiGroups:
  - heatoperator.sylva
  resources:
  - heatstacks/finalizers
  verbs:
  - update
- apiGroups:
  - heatoperator.sylva
  resources:
  - heatstacks/status
  verbs:
  - get
  - patch
  - update
